/*----------------------------------
 footer center
----------------------------------*/
.center-footer {
    background-color: var(--BG-B);
    border-top: 1px solid white;
    padding: 60px 0;
}

.center-footer .line {
    display: grid;
    grid-template-columns: 1fr 2.2fr;
    align-items: stretch;
    gap: 10px;
}

/*----------------------------------
 ریسپانسیو 
----------------------------------*/
@media (max-width: 1200px) {
    .center-footer .line {
        grid-template-columns: 1fr;
        gap: 24px;
    }
}

@media (max-width: 480px) {
    .center-footer {
        padding: 20px 0;
    }
}

/*----------------------------------
 footer center about
----------------------------------*/
.about-center-footer p {
    text-align: justify;
}

.about-center-footer h3 {
    color: var(--A);
    font-size: 30px;
}

.about-center-footer span {
    color: var(--G);
}

.about-center-footer i {
    padding-left: 10px;
    font-size: 15px;
    color: var(--A-TEXT);
}

.about-center-footer section {
    display: flex;
    align-items: center;
}

/*----------------------------------
 ریسپانسیو 
----------------------------------*/
@media (max-width: 768px) {

    .about-center-footer,
    .about-center-footer p {
        text-align: center;
    }

    .about-center-footer section {
        justify-content: center;
    }
}

@media (max-width: 480px) {
    .about-center-footer {
        margin: 40px 0 30px 0;
    }

    .about-center-footer h3 {
        margin-bottom: 10px;
        font-size: 40px;
    }

}

/*----------------------------------
 footer center categories
----------------------------------*/
.categories-center-footer {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 0.2fr;
    gap: 10px;
    align-items: center;
    justify-items: center;
}

.categories-center-footer li {
    display: flex;
    align-items: center;
}

.categories-center-footer li i {
    color: var(--A-TEXT);
    margin-left: 10px;
}

.categories-center-footer a {
    color: var(--A);
}

.categories-center-footer a h2 {
    color: var(--A);
    margin: 0;
}

.categories-center-footer a:hover {
    color: var(--H);
    font-weight: 600;
}

/*----------------------------------
 ریسپانسیو 
----------------------------------*/
@media (max-width: 768px) {
    .categories-center-footer {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 480px) {
    .categories-center-footer {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .categories-center-footer ul {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        gap: 10px;
    }

    .categories-center-footer a {
        padding: 5px 8px;
        border-radius: 10px;
        text-shadow: 0 1px 2px rgba(0, 0, 0, 0.50);  
    }

    .categories-center-footer li i {
        display: none;
    }

    .categories-center-footer a:nth-child(1) {
        background: var(--C);
        color: var(--A);
        padding: 5px 50px;
    }
}

/*----------------------------------
 footer center nemad
----------------------------------*/
.nemad-center-footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.nemad-center-footer img {
    width: 120px;
    margin-top: 30px;
    background: none;
}

/*----------------------------------
 ریسپانسیو 
----------------------------------*/
@media (max-width: 480px) {
    .nemad-center-footer {
        margin-top: -60px;
    }

    .nemad-center-footer a:nth-child(1) {
        background: #e8edf800;
    }
}